commit:     fd6284c9283c2635a06bcbb9b9e32cd424b78fa3
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 29 11:49:32 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Aug 29 19:49:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd6284c9

games-simulation/sky-rogue: New package

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-simulation/sky-rogue/Manifest             |  1 +
 games-simulation/sky-rogue/metadata.xml         |  8 ++++
 games-simulation/sky-rogue/sky-rogue-1.3.ebuild | 51 +++++++++++++++++++++++++
 3 files changed, 60 insertions(+)

diff --git a/games-simulation/sky-rogue/Manifest 
b/games-simulation/sky-rogue/Manifest
new file mode 100644
index 00000000000..c1dbc83c1d2
--- /dev/null
+++ b/games-simulation/sky-rogue/Manifest
@@ -0,0 +1 @@
+DIST sky-rogue-linux.zip 153094990 BLAKE2B 
2129f624a7b56ec0ddbf6869a75f94468d4efe9efade4d47549b2ae1eebfb4b6e4939190d97acd820c2f46a1a9b2d52614e5a1c7ace717071d482db21b1bd1e1
 SHA512 
f25dfed7d78355fdbd5a643ec11f948020256fce38e80f9bb8084b875203b26490af6b0164684c187493697a132c7fdc9b40af6b793fd50c9a176285c508d8df

diff --git a/games-simulation/sky-rogue/metadata.xml 
b/games-simulation/sky-rogue/metadata.xml
new file mode 100644
index 00000000000..26079e608be
--- /dev/null
+++ b/games-simulation/sky-rogue/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Games Project</name>
+       </maintainer>
+</pkgmetadata>

diff --git a/games-simulation/sky-rogue/sky-rogue-1.3.ebuild 
b/games-simulation/sky-rogue/sky-rogue-1.3.ebuild
new file mode 100644
index 00000000000..d5ad8217583
--- /dev/null
+++ b/games-simulation/sky-rogue/sky-rogue-1.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils desktop xdg
+
+MY_PN="${PN//-}"
+DESCRIPTION="A fwooshy rogue-lite action flight simulator"
+HOMEPAGE="https://skyroguegame.com/";
+SRC_URI="${PN}-linux.zip"
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist fetch splitdebug"
+
+RDEPEND="
+       sys-libs/zlib
+       virtual/opengl
+"
+
+BDEPEND="
+       app-arch/unzip
+"
+
+S="${WORKDIR}"
+
+DIR="/opt/${PN}"
+QA_PREBUILT="${DIR#/}/*"
+
+pkg_nofetch() {
+       einfo "Please buy and download ${SRC_URI} from:"
+       einfo "  https://fractal-phase.itch.io/${PN}";
+       einfo "and move it to your distfiles directory."
+}
+
+src_install() {
+       exeinto "${DIR}"
+       newexe ${MY_PN}.$(usex amd64 x86_64 x86) ${MY_PN}
+       make_wrapper ${PN} "${DIR}"/${MY_PN}
+
+       insinto "${DIR}"
+       doins -r ${MY_PN}_Data/
+       rm -r "${ED}/${DIR}"/${MY_PN}_Data/*/$(usex amd64 x86 x86_64) || die
+
+       # Some Unity games have a GUI launcher but this one doesn't use it.
+       rm "${ED}/${DIR}"/${MY_PN}_Data/Plugins/*/ScreenSelector.so || die
+
+       newicon -s 128 ${MY_PN}_Data/Resources/UnityPlayer.png ${PN}.png
+       make_desktop_entry ${PN} "Sky Rogue"
+}

Reply via email to